import { Component, OnInit, ViewChild } from '@angular/core';
import { BsModalRef, BsModalService } from 'ngx-bootstrap/modal';
import { FramePager } from 'src/app/core/frame/pager/frame-pager/frame-pager';
import { FrameDetailComponent } from 'src/app/routes/frame/core/detail/frame.detail';

@Component({
  selector: 'app-enrol-report-aspect-detail',
  templateUrl: './enrol-report-aspect-detail.component.html',
  styleUrls: ['./enrol-report-aspect-detail.component.scss']
})
export class EnrolReportAspectDetailComponent  extends FrameDetailComponent implements OnInit {

  @ViewChild('pager', {static: false}) pager: FramePager;

  constructor(bsModalRef: BsModalRef) {
    super(bsModalRef);
  }

  ngOnInit(): void {
  }

  // 导出考生
  exportStd() {
    let entity = {
      aspect_name: this.ResponseEntity.aspect_name,
      pay_status: this.ResponseEntity.pay_status,
      std_sex: this.ResponseEntity.std_sex,
      province_flag: this.ResponseEntity.province_flag,
      report_name:'StdRegEnrolReport'
    };
    this.FuncService.ajaxDownload('frame/report/download.htm', entity);
  }

}
